# inferencejs Requirements

{% hint style="info" %}
について詳しく学ぶ `inferencejs` [こちら](/roboflow/roboflow-jp/deploy/sdks/web-browser.md) および [`inferencejs` リファレンスを確認する](/roboflow/roboflow-jp/deploy/sdks/web-browser/web-inference.js/inferencejs-reference.md)
{% endhint %}

**最低ブラウザバージョン**

* **Chrome**: 61+
* **Firefox**: 60+
* **Safari**: 15.4+
* **Edge（Chromiumベース）**: 79+
* **Opera**: 48+

{% hint style="info" %}
これらは、ブラウザ機能に関する利用可能な MDN の機能サポート情報に基づく最低ブラウザバージョンです `inferencejs` これらのブラウザすべてでテストされているわけではなく、記載されているものより高いバージョンが使用に必要な場合があります。これらの最低要件は変更される可能性があります
{% endhint %}

**必要なブラウザ機能**

* Web Workers（`Worker` API）
* `navigator.hardwareConcurrency`
* `navigator.mediaDevices.getUserMedia`
* `createImageBitmap`
* ES6+
* ESM
* Promises と Fetch API


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-jp/deploy/sdks/web-browser/web-inference.js/inferencejs-requirements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
